From dd86e5ce6de0f8d20e8824d40a9e94c634c80d50 Mon Sep 17 00:00:00 2001
From: Hirofumi Katayama <katayama.hirofumi.mz@gmail.com>
Date: Thu, 1 Oct 2020 23:01:38 +0900
Subject: [PATCH] comctl32: Set focus in edit box of IP Address controls.

IP Address controls (SysIPAddress32) should set focus to the edit box upon WM_SETFOCUS.

Wine-Bug: https://bugs.winehq.org/show_bug.cgi?id=49924
Signed-off-by: Hirofumi Katayama <katayama.hirofumi.mz@gmail.com>
---
https://github.com/reactos/reactos/commit/0733d96d9d90337c9c0537c0406650c9aa429ab7
https://jira.reactos.org/browse/CORE-3479
---
 dlls/comctl32/ipaddress.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/dlls/comctl32/ipaddress.c b/dlls/comctl32/ipaddress.c
index c75a1085650..21b6aa990fd 100644
--- a/dlls/comctl32/ipaddress.c
+++ b/dlls/comctl32/ipaddress.c
@@ -594,6 +594,10 @@ IPADDRESS_WindowProc (HWND hwnd, UINT uMsg, WPARAM wParam, LPARAM lParam)
 	case WM_PAINT:
 	    return IPADDRESS_Paint (infoPtr, (HDC)wParam);
 
+	case WM_SETFOCUS:
+	    IPADDRESS_GotoNextField(infoPtr, -1, POS_SELALL);
+	    return 0;
+
 	case WM_COMMAND:
 	    switch(wParam >> 16) {
 		case EN_CHANGE:
-- 
2.27.0

